﻿if (documents.length == 0) {
    alert("There are no documents open.");
} else {
    var ad = activeDocument;
    var docWidth = ad.width;
    var layerSetCount = ad.layerSets.length;
    var activeLayers = new Array();
    for (var i = 0; i < layerSetCount; i++) {
        if (ad.layerSets[i].visible) {
            activeLayers.push(ad.layerSets[i]);
        }
    }

    layerSetCount = activeLayers.length;

    if (layerSetCount > 1) {
        ad.resizeCanvas(docWidth * layerSetCount, ad.height, AnchorPosition.TOPLEFT);
        var invert = confirm("Do you want to invert the order of the tiles? This will set up the tiles in the reverse order of the Layer Sets (bottom to top instead of top to bottom). Click \"Yes\" to invert it or \"No\" to leave it as is.");
        for (var i = 0; i < layerSetCount; i++) {
            if (invert) {
                activeLayers[i].translate((layerSetCount - i - 1) * docWidth);
            } else {
                activeLayers[i].translate(i * docWidth);
            }
        }
    } else {
        alert("There must be at least two layer sets to tile this.");
    }
}